develooper Front page | perl.perl5.porters | Postings from September 2008

Re: maintperl-5.8.x's IPC::SysV fails tests on Mandriva

Thread Previous | Thread Next
From:
Nicholas Clark
Date:
September 3, 2008 02:30
Subject:
Re: maintperl-5.8.x's IPC::SysV fails tests on Mandriva
Message ID:
20080903093008.GP75181@plum.flirble.org
On Wed, Sep 03, 2008 at 12:26:59PM +0300, Shlomi Fish wrote:
> On Tuesday 02 September 2008, Nicholas Clark wrote:
> > Online, but not in your e-mail message, you note:
> >
> >     I could not reproduce this problem by running "perl Makefile.PL" ;
> >     "make" ; "make test" in the latest IPC::SysV.
> >
> >
> > If you re-run your
> >
> >     rsync -auvz rsync://ftp.linux.activestate.com/perl-5.8.x/
> > perl-5.8.x-latest
> >
> > does it build and test cleanly now?
> >
> 
> No, it doesn't - still the same problem:

> shlomi:~/Download/unpack/perl/perl5/maint-perl/perl-5.8.x-1220431890/t$ ./perl -MTestInit ../ext/IPC/SysV/t/ipcsysv.t
> IPC::SysV object version 2.00 does not match bootstrap parameter 1.05 
> at ../lib/DynaLoader.pm line 250.
> Compilation failed in require at ../ext/IPC/SysV/t/ipcsysv.t line 43.
> BEGIN failed--compilation aborted at ../ext/IPC/SysV/t/ipcsysv.t line 43.
> # Looks like your test died before it could output anything.
> shlomi:~/Download/unpack/perl/perl5/maint-perl/perl-5.8.x-1220431890/t$ ./perl -MTestInit ../ext/IPC/SysV/t/msg.t
> IPC::SysV object version 2.00 does not match bootstrap parameter 1.05 
> at ../lib/DynaLoader.pm line 250.
> Compilation failed in require at ../ext/IPC/SysV/t/msg.t line 37.
> BEGIN failed--compilation aborted at ../ext/IPC/SysV/t/msg.t line 37.
> # Looks like your test died before it could output anything.

Strange. Do you have a version 1.05 of IPC::SysV object installed anywhere
on the system?

Nicholas Clark

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About